## net.sf.saxon.lib
Interface URIChecker

All Known Implementing Classes:
  StandardURIChecker

    public interface URIChecker

This interface defines a method for checking whether a string is considered to be a valid URI.

A user-supplied implementation of this class can be set in a customized instance of `ConversionRules`, which can be set in the configuration using `Configuration.setConversionRules(ConversionRules)`

A user-supplied implementation can be written either from scratch, or by reference to the system-supplied implementation `StandardURIChecker`.

Method Summary
`boolean` `isValidURI(CharSequence value)` Check whether a given string is considered valid according to the rules of the xs:anyURI type.

Method Detail

### isValidURI

    boolean isValidURI(CharSequence value)

  Check whether a given string is considered valid according to the rules of the xs:anyURI type.

  This method is called during schema validation, and when casting string to xs:anyURI. It is not used when the xs:anyURI type is used as a return value from methods such as namespace-uri() or namespace-uri-from-QName() - in such cases no checking is applied to the name.

  Parameters:
    `value` - the string to be checked
  Returns:
    true if the string is considered to represent a valid URI

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.